class Handballspiel:
    """
    Klasse zur Beschreibung eines Handballspiels
    """
    def __init__(self, termin_neu, liga_neu, spielort_neu, mannschaft1_neu, mannschaft2_neu):
        self.termin = termin_neu
        self.liga = liga_neu
        self.spielort = spielort_neu
        self.mannschaft1 = mannschaft1_neu
        self.mannschaft2 = mannschaft2_neu
        self.offizielleMannschaft1 = []
        self.offizielleMannschaft2 = []
        self.spielerMannschaft1 = []
        self.spielerMannschaft2 = []
        self.torMinuteMannschaft1 = []
        self.torSpielerMannschaft1 = []
        self.torMinuteMannschaft2 = []
        self.torSpielerMannschaft2 = []
        self.siebenmeterMinuteMannschaft1 = []
        self.siebenmeterSpielerMannschaft1 = []
        self.istSiebenmeterTrefferMannschaft1 = []
        self.siebenmeterMinuteMannschaft2 = []
        self.siebenmeterSpielerMannschaft2 = []
        self.istSiebenmeterTrefferMannschaft2 = []
        self.zweiMinStrafeMinuteMannschaft1 = []
        self.zweiMinStrafeSpielerMannschaft1 = []
        self.zweiMinStrafeMinuteMannschaft2 = []
        self.zweiMinStrafeSpielerMannschaft2 = []
        self.timeout1Mannschaft1 = None
        self.timeout2Mannschaft1 = None
        self.timeout1Mannschaft2 = None
        self.timeout2Mannschaft2 = None
        self.schiedsrichter1 = None
        self.schiedsrichter2 = None
        self.zeitnehmer = None
        self.sekretär = None

    def SchiedsrichterFestlegen(self, name_neu, art_neu):
        """
        Festlegen eines der vier Schiedsrichter
        """
        if art_neu == "Schiedsrichter 1":
            self.schiedsrichter1 = name_neu
        elif art_neu == "Schiedsrichter 2":
            self.schiedsrichter2 = name_neu
        elif art_neu == "Zeitnehmer":
            self.zeitnehmer = name_neu
        elif art_neu == "Sekretär":
            self.sekretär = name_neu
        else:
            print("Ungültige Angabe bei Art des Schiedsrichters. Zulässig: Schiedsrichter 1, Schiedsrichter 2, Zeitnehmer, Sekretär")

    def OffiziellenFestlegenFürMannschaft(self, mannschaft_neu, offizieller_neu):
        """
        Festlegen eines Offiziellen (Trainer etc.) für eine Mannschaft
        """
        if self.mannschaft1 == mannschaft_neu:
            self.offizielleMannschaft1.append(offizieller_neu)
        elif self.mannschaft2 == mannschaft_neu:
            self.offizielleMannschaft2.append(offizieller_neu)
        else:
            print("Mannschaft nicht erkannt")

    def SpielerFestlegenFürMannschaft(self, mannschaft_neu, spieler_neu):
        """
        Festlegen eines Spielers für eine Mannschaft
        """
        if self.mannschaft1 == mannschaft_neu:
            self.spielerMannschaft1.append(spieler_neu)
        elif self.mannschaft2 == mannschaft_neu:
            self.spielerMannschaft2.append(spieler_neu)
        else:
            print("Mannschaft nicht erkannt")
            
    def TorFestlegenFürMannschaft(self, mannschaftNeu, spielerNeu, minuteNeu):
        """
        Festlegen eines Tores für eine Mannschaft
        """
        if mannschaftNeu == self.mannschaft1:
            self.torSpielerMannschaft1.append(spielerNeu)
            self.torMinuteMannschaft1.append(minuteNeu)
        elif mannschaftNeu == self.mannschaft2:
            self.torSpielerMannschaft2.append(spielerNeu)
            self.torMinuteMannschaft2.append(minuteNeu)
        else:
            print("Mannschaft nicht erkannt")

    def SiebenmeterFestlegenFürMannschaft(self, mannschaftNeu, spielerNeu, minuteNeu, istTreffer):
        """
        Festlegen eines Siebenmeters für eine Mannschaft
        """
        if mannschaftNeu == self.mannschaft1:
            self.siebenmeterSpielerMannschaft1.append(spielerNeu)
            self.siebenmeterMinuteMannschaft1.append(minuteNeu)
            self.istSiebenmeterTrefferMannschaft1.append(istTreffer)
        elif mannschaftNeu == self.mannschaft2:
            self.siebenmeterSpielerMannschaft2.append(spielerNeu)
            self.siebenmeterMinuteMannschaft2.append(minuteNeu)
            self.istSiebenmeterTrefferMannschaft2.append(istTreffer)
        else:
            print("Mannschaft nicht erkannt")

    def ZweiminutenstrafeFestlegenFürMannschaft(self, mannschaftNeu, spielerNeu, minuteNeu):
        """
        Festlegen einer Zweiminutenstrafe für eine Mannschaft
        """
        if mannschaftNeu == self.mannschaft1:
            self.zweiMinStrafeSpielerMannschaft1.append(spielerNeu)
            self.zweiMinStrafeMinuteMannschaft1.append(minuteNeu)
        elif mannschaftNeu == self.mannschaft2:
            self.zweiMinStrafeSpielerMannschaft2.append(spielerNeu)
            self.zweiMinStrafeMinuteMannschaft2.append(minuteNeu)
        else:
            print("Mannschaft nicht erkannt")
            
    def TimeoutSetzen(self, mannschaftNeu, halbzeitNeu, minuteNeu):
        """
        Festlegen eines Timeouts für eine Mannschaft
        """
        if mannschaftNeu == self.mannschaft1:
            if halbzeitNeu == 1:
                self.timeout1Mannschaft1 = minuteNeu
            else:
                self.timeout2Mannschaft1 = minuteNeu
        elif mannschaftNeu == self.mannschaft2:
            if halbzeitNeu == 1:
                self.timeout1Mannschaft2 = minuteNeu
            else:
                self.timeout2Mannschaft2 = minuteNeu
        else:
            print("Mannschaft nicht erkannt")